<mat-toolbar class="ex-title" >
    <span style="margin-left: 15px;"><h1 class="mat-h1">Experiment Run</h1></span>
  </mat-toolbar>
  <div style="padding: 30px 0;" class="ex-container" >
    <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%">
    <div fxFlex="100%" fxLayout.xs="row" fxLayout="row" fxLayoutAlign="left left" class="search-box">
      <div style="padding: 0 40px;">
        <label style="float: left;" for="blueprintFile" class="uploadBtn" (click)="openDialogs()">Create Experiment</label>
      </div>
    
      <mat-form-field>
        <mat-label>Filter by Status</mat-label>
        <mat-select (selectionChange)="onStatusSelected($event);" [(value)]="selectedState">
            <mat-option *ngFor="let state of states" [value]="state">
                {{state}}
            </mat-option>
        </mat-select>
      </mat-form-field>
      <button mat-stroked-button aria-label="Clear" (click)="clearFilter(); selectedState=undefined; $event.stopPropagation()" style="margin-left: 10px;">Clear <mat-icon>close</mat-icon>
      </button>
      </div>
      <table mat-table [dataSource]="dataSource" matSort  class="ex-table full-width-table">
        <!-- Id Column -->
        <ng-container matColumnDef="elcmId">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
          <td mat-cell *matCellDef="let row"><b>{{row.elcmId}}</b></td>
        </ng-container>
    
        <!-- Name column-->
        <ng-container matColumnDef="experimentConfigurationParameters">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef mat-sort-header>experimentDescriptorId</th>
          <td mat-cell *matCellDef="let row"><b>{{row.experimentConfigurationParameters}}</b></td>
        </ng-container>
        <!-- Experiment descriptor Column -->
        <ng-container matColumnDef="experimentDescriptorId">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>experimentDescriptorId</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.experimentDescriptorId}}</td>
        </ng-container>
    
        <!-- Status Column -->
        <ng-container matColumnDef="status">
            <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Status</th>
            <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.status}}</td>
        </ng-container>
    
         <!-- VS instance Column -->
         <ng-container matColumnDef="vsId">
            <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>VS Instance</th>
            <td fxShow.xs="false" mat-cell *matCellDef="let row" >{{row.vsId}}</td>
        </ng-container>
        <ng-container matColumnDef="view">
          <th mat-header-cell *matHeaderCellDef>View</th>
          <td mat-cell *matCellDef="let row">
            <span value="view_experiment" (click)="viewExperiment(row.elcmId)"><i class="fa fa-eye fa-2x" aria-hidden="true"></i></span>
          </td>
          </ng-container>
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef>Delete</th>
            <td mat-cell *matCellDef="let row">
              <span value="delete_experiment" (click)="deleteExperiment(row.elcmId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
            </td>
            </ng-container>
          <!-- <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef>Delete</th>
              <td mat-cell *matCellDef="let row">
                <span value="delete_experiment" (click)="forcedeleteExperiment(row.verticalServiceInstanceId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
              </td>
              </ng-container>
              <ng-container matColumnDef="forcedelete">
                  <th mat-header-cell *matHeaderCellDef>Force delete</th>
                  <td mat-cell *matCellDef="let row">
                    <span value="forcedelete_experiment" (click)="forcedeleteExperiment(row.verticalServiceInstanceId)"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></span>
                  </td>
                  </ng-container> -->
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    
      <mat-paginator #paginator style="width: 100%" fxFlex="100%" fxLayout.xs="row" fxLayout="column" fxLayoutAlign="center center"
    
          [length]="dataSource?.data.length"
          [pageIndex]="0"
          [pageSize]="50"
          [pageSizeOptions]="[25, 50, 100, 250]"
          class="ex-table paginator-xs">
      </mat-paginator>
    </div>
    </div>
    